GET
/integration/v1/assignments/courses
List course assignments
List course assignments
operationId List course assignments
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
course_ids
|
array | optional | Filter by array of courses ids |
user_ids
|
array | optional | Filter by array of users ids |
group_ids
|
array | optional | Filter by array of groups ids |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
(array)
|
array | optional | Assignments data |
assignment_id
|
string (uuid) | optional | Assignment id |
user_id
|
string (uuid) | optional | User id |
course_id
|
string | optional | Course id |
cycle_id
|
string (uuid) | optional | Cycle id |
assigned_date
|
string (date) | optional | Assigned date |
access_opens_date
|
string (date) | optional | Access opens date |
access_closes_date
|
string (date) | optional | Access closes date |
progress
|
integer | optional | Progress |
start_timestamp
|
integer | optional | start date |
viewed_timestamp
|
integer | optional | Viewed date |
score
|
integer | optional | Score |
passed
|
boolean | optional | Is passed |
412 Invalid parameters
500 Server error
512 Specification violations